Index: main/plugin-web/pages/administrator/sites/cache-statistics-back-tree.xsl
===================================================================
--- main/plugin-web/pages/administrator/sites/cache-statistics-back-tree.xsl	(revision 32871)
+++ main/plugin-web/pages/administrator/sites/cache-statistics-back-tree.xsl	(working copy)
@@ -26,156 +26,253 @@
     <xsl:param name="contextPath"/>
     <xsl:param name="pluginName"/>
     
-    
     <xsl:template match="/stats">
     	<root>
 			<!-- filters site that contains at least a page with a context (ie. some statistics) -->
-			<xsl:apply-templates select="site" />
+            {
+               "children": [
+	                    <xsl:for-each select="site">
+	                     <xsl:if test="position() != 1">,</xsl:if>
+	                     <xsl:call-template name="site"/> 
+	                   </xsl:for-each>
+	                ]
+             }
 		</root>
     </xsl:template>
     
-    <xsl:template match="site">
-    	<site id="{@id}" label="{@name}" qtip="{@id}" leaf="true" expanded="true"
-    	icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/stats/sitemap_16.png" cls="site-node">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
-			
-			<xsl:attribute name="pageHits"><xsl:call-template name="get-pagehits-sum" /></xsl:attribute>
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
-    	
-    		<xsl:apply-templates select="sitemap[descendant::context[1]]">
-    			<xsl:sort select="@name" />
-    		</xsl:apply-templates>
-    	</site>
+    <xsl:template name="site">
+    	<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
+        <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
+    	{
+   	       "id": "<xsl:value-of select="@id"/>",
+           "label": "<xsl:value-of select="@name"/>",
+           "qtip": "<xsl:value-of select="@id"/>",
+           "expanded": true,
+           "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/site/stats/sitemap_16.png",
+           
+           "pageHits": "<xsl:call-template name="get-pagehits-sum" />",
+           "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+           "hits": "<xsl:value-of select="$hits" />",
+           "cacheHits": "<xsl:value-of select="$cacheHits" />",
+           "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+           "children": [
+	           <xsl:for-each select="sitemap[descendant::context[1]]">
+	              <xsl:sort select="@name" />
+	
+	              <xsl:if test="position() != 1">,</xsl:if>
+	              <xsl:call-template name="sitemap"/> 
+	            </xsl:for-each>
+           ]
+   	   }
     </xsl:template>
     
-    <xsl:template match="sitemap">
-    	<sitemap 	id="{@id}" label="{@name}" qtip="{@id}" leaf="true" expanded="true"
-    				icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/stats/sitemap_16.png" cls="sitemap-node">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
-			
-			<xsl:attribute name="pageHits"><xsl:call-template name="get-pagehits-sum" /></xsl:attribute>
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
-    	
-    		<xsl:apply-templates select="page[descendant::context[1]]">
-    			<xsl:sort select="@name" />
-    		</xsl:apply-templates>
-    	</sitemap>
+    <xsl:template name="sitemap">
+        <xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
+        <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
+    	{
+               "id": "<xsl:value-of select="@id"/>",
+               "label": "<xsl:value-of select="@name"/>",
+               "qtip": "<xsl:value-of select="@id"/>",
+               "expanded": true,
+               "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/site/stats/sitemap_16.png",
+               
+               "pageHits": "<xsl:call-template name="get-pagehits-sum" />",
+               "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+               "hits": "<xsl:value-of select="$hits" />",
+               "cacheHits": "<xsl:value-of select="$cacheHits" />",
+               "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+               "children": [
+                   <xsl:for-each select="page[descendant::context[1]]">
+                     <xsl:sort select="@name" />
+
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="page"/> 
+                   </xsl:for-each>
+               ]
+         }
     </xsl:template>
     
-    <xsl:template match="page">
-    	<page 	id="{@id}" label="{@name}.html" qtip="{@id}" leaf="true"
-    			icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/stats/content_16.png" cls="page-node">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
-			
-			<xsl:attribute name="pageHits"><xsl:call-template name="get-pagehits-sum" /></xsl:attribute>
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
-    	
-    		<xsl:apply-templates select="self::page[context[1]]" mode="alone" />
-			<xsl:apply-templates select="page[descendant::context[1]]">
-				<xsl:sort select="@name" />
-			</xsl:apply-templates>
-    	</page>
+    <xsl:template name="page">
+        <xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
+        <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
+        {
+               "id": "<xsl:value-of select="@id"/>",
+               "label": "<xsl:value-of select="@name"/>.html",
+               "qtip": "<xsl:value-of select="@id"/>",
+               "expanded": false,
+               "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/site/stats/content_16.png",
+               
+               "pageHits": "<xsl:call-template name="get-pagehits-sum" />",
+               "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+               "hits": "<xsl:value-of select="$hits" />",
+               "cacheHits": "<xsl:value-of select="$cacheHits" />",
+               "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+               "children": [
+                   <xsl:for-each select="self::page[context[1]]">
+                     <xsl:sort select="@name" />
+
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="alone-page"/> 
+                   </xsl:for-each>
+                   
+                   <xsl:if test='count(self::page[context[1]]) > 0 and count(page[descendant::context[1]]) > 0'>,</xsl:if>
+                   
+                   <xsl:for-each select="page[descendant::context[1]]">
+                     <xsl:sort select="@name" />
+
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="page"/> 
+                   </xsl:for-each>
+               ]
+         }
     </xsl:template>
     
-    <xsl:template match="page" mode="alone">
-    	<context 	id="{@id}_alone" label="PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_TREE_DETAILS" qtip="PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_TREE_DETAILS_DESC" leaf="true"
-    				icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/sites/cachestats/details_16.png" i18n:attr="label qtip"
-    				cls="context-node">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum-details" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum-details" /></xsl:variable>
-			
-			<xsl:attribute name="pageHits"><xsl:call-template name="get-pagehits-sum-details" /></xsl:attribute>
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean-details" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
+    <xsl:template name="alone-page">
+        <xsl:variable name="hits"><xsl:call-template name="get-hits-sum-details" /></xsl:variable>
+        <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum-details" /></xsl:variable>
     	
-    		<xsl:apply-templates select="context">
-    			<xsl:sort select="@renderingContext" />
-    			<xsl:sort select="@workspaceJCR" />
-    		</xsl:apply-templates>
-    	</context>
+    	{
+               "id": "<xsl:value-of select="@id"/>_alone",
+               "label": "<i18n:text i18n:key="PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_TREE_DETAILS"/>",
+               "qtip": "<i18n:text i18n:key="PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_TREE_DETAILS_DESC"/>",
+               "expanded": false,
+               "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/administrator/sites/cachestats/details_16.png",
+               
+               "pageHits": "<xsl:call-template name="get-pagehits-sum" />",
+               "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+               "hits": "<xsl:value-of select="$hits" />",
+               "cacheHits": "<xsl:value-of select="$cacheHits" />",
+               "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+               "children": [
+                   <xsl:for-each select="context">
+                     <xsl:sort select="@renderingContext" />
+                     <xsl:sort select="@workspaceJCR" />
+
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="context"/> 
+                   </xsl:for-each>
+               ]
+         }
     </xsl:template>
     
-    <xsl:template match="context">
-   		<context 	id="{../@id}_{@renderingContext}_{@workspaceJCR}" leaf="true" icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/sites/cachestats/context_16.png" cls="context-node"
-   					label="PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_CONTEXT_{text:uppercase(@renderingContext)}_{text:uppercase(@workspaceJCR)}" pageHits="{hits}" i18n:attr="label">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
-			
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
-			
-    		<xsl:apply-templates select="zone|inputdata" />
-    	</context>
+    <xsl:template name="context">
+            <xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
+            <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
+            
+	       {
+               "id": "<xsl:value-of select="../@id"/>_<xsl:value-of select="@renderingContext"/>_<xsl:value-of select="@workspaceJCR"/>",
+               "label": "<i18n:text i18n:key="PLUGINS_WEB_ADMINISTRATOR_CACHE_BACK_STATISTICS_CONTEXT_{text:uppercase(@renderingContext)}_{text:uppercase(@workspaceJCR)}"/>",
+               "expanded": false,
+               "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/administrator/sites/cachestats/details_16.png",
+               "pageHits": "<xsl:value-of select="hits"/>",
+
+               "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+               "hits": "<xsl:value-of select="$hits" />",
+               "cacheHits": "<xsl:value-of select="$cacheHits" />",
+               "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+               "children": [
+                   <xsl:for-each select="zone">
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="zone"/> 
+                   </xsl:for-each>
+                   
+                   <xsl:if test="count(zone) > 0 and count(inputdata) > 0">,</xsl:if>
+                   
+                   <xsl:for-each select="inputdata">
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="inputdata"/> 
+                   </xsl:for-each>
+               ]
+         }
     </xsl:template>
     
-    <xsl:template match="zone">
-    	<zone 	id="{@id}_{../@renderingContext}_{../@workspaceJCR}" label="{@name}" qtip="{@id}" leaf="true" icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/sites/cachestats/zone_16.png" cls="zone-node">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
-			
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
-			
-    		<xsl:apply-templates select="zoneitem" />
-    	</zone>
+    <xsl:template name="zone">
+	        <xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
+            <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
+            
+           {
+               "id": "<xsl:value-of select="@id"/>_<xsl:value-of select="../@renderingContext"/>_<xsl:value-of select="../@workspaceJCR"/>",
+               "label": "<xsl:value-of select="@name"/>",
+               "qtip": "<xsl:value-of select="@id"/>",
+               "expanded": false,
+               "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/administrator/sites/cachestats/zone_16.png",
+                
+               "hits":  "<xsl:value-of select="$hits" />",
+               "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+               "cacheHits": "<xsl:value-of select="$cacheHits" />",
+               "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+               "children": [
+                   <xsl:for-each select="zoneitem">
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="zoneitem"/> 
+                   </xsl:for-each>            
+               ]
+         }
     </xsl:template>
     
-    <xsl:template match="zoneitem">
-    	<zoneitem 	id="{@id}_{../../@renderingContext}_{../../@workspaceJCR}" leaf="true" icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/sites/cachestats/zoneitem_16.png"
-					label="#{@index} ({@type})" cacheable="{@cacheable}" hits="{hits}" cacheHits="{cacheHits}" eff="{round(cacheHits*100 div hits)} %">
-					
-			<xsl:attribute name="qtip">
-				<xsl:value-of select="concat('id : ', @id, '&lt;br/&gt;')" />
-				<xsl:value-of select="concat('type : ', @type, '&lt;br/&gt;')" />
-				<xsl:choose>
-					<xsl:when test="@type = 'content'">
-						<xsl:value-of select="concat('content type : ', @contentType, '&lt;br/&gt;')" />
-						<xsl:value-of select="concat('content id : ', @contentId)" />
-					</xsl:when>
-					<xsl:when test="@type = 'service'">
-						<xsl:value-of select="concat('service id : ', @serviceId)" />
-					</xsl:when>
-				</xsl:choose>
-			</xsl:attribute>
-    	</zoneitem>
+    <xsl:template name="zoneitem">
+         <xsl:variable name="qtip">
+           <xsl:value-of select="concat('id : ', @id, '&lt;br/&gt;')" />
+           <xsl:value-of select="concat('type : ', @type, '&lt;br/&gt;')" />
+           <xsl:choose>
+               <xsl:when test="@type = 'content'">
+                   <xsl:value-of select="concat('content type : ', @contentType, '&lt;br/&gt;')" />
+                   <xsl:value-of select="concat('content id : ', @contentId)" />
+               </xsl:when>
+               <xsl:when test="@type = 'service'">
+                   <xsl:value-of select="concat('service id : ', @serviceId)" />
+               </xsl:when>
+           </xsl:choose>
+        </xsl:variable>
+        
+       {
+           "id": "<xsl:value-of select="@id"/>_<xsl:value-of select="../../@renderingContext"/>_<xsl:value-of select="../../@workspaceJCR"/>",
+           "label": "#<xsl:value-of select="@index"/> (<xsl:value-of select="@type"/>)",
+           "qtip": "<xsl:value-of select="$qtip"/>",
+           "expanded": false,
+           "leaf": true,
+           "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/administrator/sites/cachestats/zoneitem_16.png",
+           "cacheable": "<xsl:value-of select="@cacheable"/>",
+           "hits": "<xsl:value-of select="hits" />",
+           "cacheHits": "<xsl:value-of select="cacheHits" />",
+           "eff": "<xsl:value-of select="round(cacheHits*100 div hits)" /><xsl:text> %</xsl:text>"
+     }
     </xsl:template>
     
-    <xsl:template match="inputdata">
-    	<inputdata 	id="{../../@id}_{../@renderingContext}_{../@workspaceJCR}_inputdata" label="InputData" leaf="true" icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/sites/cachestats/inputdata_16.png" cls="inputdata-node">
-			<xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
-			<xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
-			
-			<xsl:attribute name="cacheable"><xsl:call-template name="get-weighted-cacheable-mean" /></xsl:attribute>
-			<xsl:attribute name="hits"><xsl:value-of select="$hits" /></xsl:attribute>
-			<xsl:attribute name="cacheHits"><xsl:value-of select="$cacheHits" /></xsl:attribute>
-			<xsl:attribute name="eff"><xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text></xsl:attribute>
-			
-    		<xsl:apply-templates select="inputdataitem" />
-    	</inputdata>
+    <xsl:template name="inputdata">
+          <xsl:variable name="hits"><xsl:call-template name="get-hits-sum" /></xsl:variable>
+          <xsl:variable name="cacheHits"><xsl:call-template name="get-cachehits-sum" /></xsl:variable>
+         {
+	           "id": "<xsl:value-of select="../../@id"/>_<xsl:value-of select="../@renderingContext"/>_<xsl:value-of select="../@workspaceJCR"/>_inputdata",
+	           "label": "InputData",
+	           "expanded": false,
+	           "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/administrator/sites/cachestats/inputdata_16.png",
+	           "cacheable": "<xsl:call-template name="get-weighted-cacheable-mean" />",
+	           "hits": "<xsl:value-of select="$hits" />",
+	           "cacheHits": "<xsl:value-of select="$cacheHits" />",
+	           "eff": "<xsl:value-of select="round($cacheHits*100 div $hits)" /><xsl:text> %</xsl:text>",
+	           "children": [
+                   <xsl:for-each select="inputdataitem">
+                     <xsl:if test="position() != 1">,</xsl:if>
+                     <xsl:call-template name="inputdataitem"/> 
+                   </xsl:for-each>            
+   	           ]
+	     }
     </xsl:template>
     
-    <xsl:template match="inputdataitem">
-    	<inputdataitem 	id="{../../../@id}_{../../@renderingContext}_{../../@workspaceJCR}_{@id}" qtip="{@id}" leaf="true" icon="{$contextPath}/plugins/{$pluginName}/resources/img/administrator/sites/cachestats/inputdataitems_16.png"
-						label="{@title}" cacheable="{@cacheable}" hits="{hits}" cacheHits="{cacheHits}" eff="{round(cacheHits*100 div hits)} %">
-    	</inputdataitem>
+    <xsl:template name="inputdataitem">
+        {
+               "id": "<xsl:value-of select="../../../@id"/>_<xsl:value-of select="../../@renderingContext"/>_<xsl:value-of select="../../@workspaceJCR"/>_<xsl:value-of select="@id"/>",
+               "label": "<xsl:value-of select="@title"/>",
+               "qtip": "<xsl:value-of select="@id"/>",
+               "expanded": false,
+               "leaf": true,
+               "icon": "<xsl:value-of select="$contextPath"/>/plugins/<xsl:value-of select="$pluginName"/>/resources/img/administrator/sites/cachestats/inputdataitems_16.png",
+               "cacheable": "<xsl:value-of select="@cacheable"/>",
+               "hits": "<xsl:value-of select="hits" />",
+               "cacheHits": "<xsl:value-of select="cacheHits" />",
+               "eff": "<xsl:value-of select="round(cacheHits*100 div hits)" /><xsl:text> %</xsl:text>"
+         }
     </xsl:template>
     
     <xsl:template name="get-pagehits-sum">
